Skip to main content
GET
/
v1
/
whatsapp
/
conversations
/
{conversation_id}
Get a conversation
curl --request GET \
  --url https://karibu.briq.tz/v1/whatsapp/conversations/{conversation_id} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "recipient_phone": "255712345678",
    "is_active": true,
    "unread_count": 123,
    "contact_profile_name": "<string>",
    "last_message_at": "2023-11-07T05:31:56Z",
    "window": {
      "open": true,
      "expires_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Response

Successful Response

success
boolean
data
object
errors
object[] | null
request_id
string